net.corda.node.services.statemachine

## Class SessionData

- net.corda.node.services.statemachine.SessionData

- All Implemented Interfaces:
    ExistingSessionMessage, SessionMessage

      public class SessionData
      implements ExistingSessionMessage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionData(long recipientSessionId, java.lang.Object payload)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `component1()`
    `java.lang.Object` | `component2()`
    `SessionData` | `copy(long recipientSessionId, java.lang.Object payload)`
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.Object` | `getPayload()`
    `long` | `getRecipientSessionId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.node.services.statemachine.ExistingSessionMessage

      `getRecipientSessionId`

- - ### Constructor Detail

    - #### SessionData

          public SessionData(long recipientSessionId,
                             java.lang.Object payload)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getRecipientSessionId

          public long getRecipientSessionId()

    - #### getPayload

          public java.lang.Object getPayload()

    - #### component1

          public long component1()

    - #### component2

          public java.lang.Object component2()

    - #### copy

          public SessionData copy(long recipientSessionId,
                                  java.lang.Object payload)

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)